/*
 *  POOSV 2024
 * Marco Antognini & Jamila Sam
 */

#pragma once

#include <Application.hpp>

class FinalApplication : public Application
{
public:
    FinalApplication(int argc, char const** argv)
    : Application(argc, argv)
    {
    }

    virtual void onRun() override final;
    virtual void onSimulationStart() override final;
    virtual void onEvent(sf::Event event, sf::RenderWindow& window) override final;
   virtual void onDraw(sf::RenderTarget& target) override final;
  //virtual void resetStats() override final;
};

